"Derelict" by "Wretch and J. Cameron McDonald"

Chapter 0 - Initialization

The last space location is a room that varies.
The last space location is the Vast Reaches.
A numeric keypad is a kind of thing. A numeric keypad is usually fixed in place.

Typing it on is an action applying to one number and one visible thing and requiring light.
Understand "type [number] on [something]" as typing it on.

Check typing it on (this is the can't type on anything other than a keypad rule):
	if the second noun is not a numeric keypad:
		say "You can't type anything on [the second noun].";
		stop the action;

Carry out typing it on :
	say "You punch in [the number understood] on [the second noun].";

Docking is an action applying to one thing. Understand "dock with [something]" as docking.

Chapter 1 - The Space Shuttle

The Space Shuttle is a region.

The Quarters is a room in the space shuttle. "A simple bedroom. There's a door to your north."
A bed is in the Quarters. It is scenery. The description is "A comfy bed."

The Cargo Bay is north of the Quarters. It is in the space shuttle. "The shuttle's cargo bay. There's a heavy security door to the north with a keypad beside it and a less intimidating looking door to the south."
A keypad is here. It is scenery. It is a numeric keypad. "A 10-digit keypad mounted in the wall next to the security door." Understand "buttons" or "button" or "keys" or "key" or "pad" or "numbers" or "number" or "10" or "digit" or "digits" or "10-digit" or "0" or "1" or "2" or "3" or "4" or "5" or "6" or "7" or "8" or "9" as the keypad.
Instead of pushing, switching on, switching off, or touching the keypad, say "(If you'd like to type something out on the keypad, use 'type 12345 on keypad')".

After typing a number on the keypad:
	if the number understood is 3333 and the security door is closed:
		now the security door is unlocked;
		now the security door is open;
		say "You hear a friendly beep, then the security door slides open.";
	else:
		say "Nothing happens.";
	continue the action;

A scrap of paper is here.  The description is "On it is a scrawled number: 3333".

A security door is north of the Cargo Bay and south of the Cockpit. The security door is a locked door. It is scenery.

The Cockpit is a room in the space shuttle. "The cockpit of the shuttle. The flight controls span the north wall, in front of the captain's chair. You can go south, back the way you came."
The flight controls are in the Cockpit. It is a supporter, fixed in place, and scenery. The description is "You can use these to control the mule." Understand "mule", "shuttle", "control" as the flight controls.
Instead of pushing, switching on, switching off, taking, or touching the flight controls:
	if the player is on the captain's chair:
		say "You take control of the Mule.";
		now the player is in the last space location;
	else:
		say "You should sit in the captain's chair before taking the controls."
A captain's chair is in the Cockpit. It is a supporter, fixed in place, and scenery. It is enterable. The description is "The captain's chair. From here you can work the flight controls."

Chapter 2 - Outer Space

Outer Space is a region.

Instead of going nowhere from a room in Outer Space, say "Space stretches away forever in that direction. The Mule only has so much fuel, and you don't want to waste it."
Instead of going southwest from a room in Outer Space, say "You don't have enough fuel to go back the way you came."
After going somewhere from a room in Outer Space:
	say "You pilot the Mule across an expanse of space.";
	now the last space location is the location;
	continue the action.

Instead of exiting while the player is in Outer Space:
	say "You stop piloting the Mule and rise from the captain's chair.";
	now the player is in the Cockpit.

The Vast Reaches is a room in Outer Space. "The Mule is floating in space. You can see a space station in the distance to the northeast."

The Outer Rim of the Space Station is northeast of the Vast Reaches. It is in Outer Space. "You're much nearer the space station now."

Just Outside the Space Station is northeast of the Outer Rim. It is in Outer Space. "You're within docking range now."

Chapter 3 - The Derelict Space Station

The Derelict Space Station is a region.


The Reactor Core is a room in the derelict space station. "Narrow catwalks stretch in all four cardinal directions."
Before going west from the Reactor Core, say "You step into the elevator and take a short ride up."

The Docking Hangar is west of the Reactor Core. "Docking hangar."
Before going east from the Docking Hangar, say "You step into the elevator and take a short ride down."
Before going down from the Docking Hangar: say "fuck"; try going east.


The Control Room is south of the reactor core. It is in the derelict space station.
The L-shaped Corridor is east of the control room. It is in the derelict space station.
The Southeastern Cargo Hold is north of the L-shaped corridor. It is in the derelict space station.
The Southwestern Cargo Hold is west of the Southeastern Cargo Hold. It is in the derelict space station.
The Northwestern Cargo Hold is north of the Southwestern Cargo Hold. It is in the derelict space station.
The Northeastern Cargo Hold is east of the Northwestern Cargo Hold. It is in the derelict space station.

The description of the control room is "Along the east wall is a control panel and short set of stairs leading to a doorway."
The description of the L-shaped corridor is "There are doorways at the west and north ends."

Index map with the Southwestern Cargo Hold mapped east of Reactor Core.